## net.sf.saxon.trans
Class StripSpaceRules

    java.lang.Object
      net.sf.saxon.trans.StripSpaceRules

All Implemented Interfaces:
  Serializable

    public class StripSpaceRules

extends Object
implements Serializable

The set of rules used to decide strip-space/preserve-space matching of element names in XSLT.

Author:
  Michael H. Kay
See Also:
  Serialized Form

Constructor Summary
`StripSpaceRules()` Default constructor - creates a StripSpaceRules containing no rules

Method Summary
`void` `addRule(NodeTest test, RuleBasedStripper.StripRuleTarget action, StylesheetModule module, int lineNumber)` Add a rule
`Rule` `getRule(int fingerprint)` Get the rule corresponding to a given element node, by finding the best pattern match.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StripSpaceRules

    public StripSpaceRules()

  Default constructor - creates a StripSpaceRules containing no rules

Method Detail

### addRule

    public void addRule(NodeTest test,
                        RuleBasedStripper.StripRuleTarget action,
                        StylesheetModule module,
                        int lineNumber)

  Add a rule

  Parameters:
    `test` - a NodeTest (*, *:local, prefix:*, or QName)
    `action` - StripRuleTarget.STRIP or StripRuleTarget.PRESERVE
    `module` - the stylesheet module containing the rule

### getRule

    public Rule getRule(int fingerprint)

  Get the rule corresponding to a given element node, by finding the best pattern match.

  Parameters:
    `fingerprint` - the name of the element node to be matched
  Returns:
    the best matching rule, if any (otherwise null).

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.